> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get overview

> Get the KYC overview of a user.

export const RestEndpointSubjects = ({subjects = []}) => {
  const subjectToIconMap = {
    'client': 'browser',
    'user:individual': 'user',
    'user:business': 'briefcase'
  };
  if (subjects.length === 0) {
    return null;
  }
  return <>
      {subjects.map(subject => <a key={subject} href="/rest-apis/authentication#subjects" className="border-0 opacity-85 hover:opacity-100 transition-opacity">
          <Badge stroke size="lg" icon={subjectToIconMap[subject]} color="gray" className="mr-1">
            {subject}
          </Badge>
        </a>)}
    </>;
};

<RestEndpointSubjects subjects={["user:individual"]} />

**Get overview** is the endpoint that provides a summary of the user's KYC process.

By default, only the status of each KYC process is included in the response.
If you need detailed information, you can use the `detailed` query parameter to specify the KYC processes you want more detail, which will bring
their `input`, `output` fields as well as `hint` if applicable.

<Note>Getting the detailed KYC information is more expensive in terms of performance and should be used only when necessary.</Note>


## OpenAPI

````yaml _media/specs/core-openapi.mintlify.json get /core/kyc
openapi: 3.1.0
info:
  version: 0.1.0
  title: Core API
  description: >-
    The Core API provides essential building blocks that empower businesses to
    embed financial services into their applications.
  contact:
    name: Uphold API Team
    email: developers@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Authentication
    description: Authentication.
  - name: Countries
    description: Countries.
  - name: Users
    description: Users.
  - name: KYC
    description: Individual User's KYC.
  - name: KYB
    description: Business User's KYB.
  - name: Capabilities
    description: User capabilities.
  - name: Terms of service
    description: User terms of service.
  - name: Files
    description: Files.
  - name: Assets
    description: Assets, networks and rails.
  - name: Accounts
    description: Accounts.
  - name: External accounts
    description: External accounts.
  - name: Transactions
    description: Transactions.
  - name: Portfolio
    description: Portfolio.
  - name: Statements
    description: Statements.
  - name: Metadata
    description: Metadata.
  - name: Webhooks
    description: Webhooks.
paths:
  /core/kyc:
    get:
      tags:
        - KYC
      summary: Get overview
      description: Get the KYC overview of a user.
      operationId: core.get-kyc-overview
      parameters:
        - $ref: '#/components/parameters/get-kyc-overview-detailed'
        - $ref: '#/components/parameters/accept-language'
      responses:
        '200':
          $ref: '#/components/responses/get-kyc-overview-response'
        '409':
          $ref: '#/components/responses/get-kyc-overview-conflict-response'
      security:
        - OAuth2:
            - core.kyc:read
components:
  parameters:
    get-kyc-overview-detailed:
      name: detailed
      in: query
      description: >-
        Include detailed information about the specified KYC processes. Use this
        sparingly as its more expensive to retrieve.
      explode: false
      schema:
        type: array
        maxItems: 20
        uniqueItems: true
        items:
          type: string
          enum:
            - profile
            - address
            - email
            - phone
            - identity
            - proofOfAddress
            - customerDueDiligence
            - enhancedDueDiligence
            - cryptoRiskAssessment
            - selfCategorizationStatement
            - taxDetails
            - screening
            - risk
      examples:
        Detailed KYC Processes:
          value:
            - identity
            - proofOfAddress
    accept-language:
      name: Accept-Language
      description: The natural language and locale that the client prefers.
      in: header
      schema:
        type: string
      examples:
        English (UK):
          value: en-GB
  responses:
    get-kyc-overview-response:
      description: KYC overview retrieved.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/kyc-overview'
          examples:
            KYC Overview OK:
              value:
                summary:
                  reason: none
                  status: ok
                processes:
                  profile:
                    code: profile
                    status: ok
                  address:
                    code: address
                    status: ok
                  email:
                    code: email
                    status: ok
                  phone:
                    code: phone
                    status: ok
                  identity:
                    code: identity
                    status: ok
                    type: document-submission
                  proofOfAddress:
                    code: proof-of-address
                    status: ok
                    type: electronic-verification
                  customerDueDiligence:
                    code: customer-due-diligence
                    status: ok
                  enhancedDueDiligence:
                    code: enhanced-due-diligence
                    status: ok
                  cryptoRiskAssessment:
                    code: crypto-risk-assessment
                    status: ok
                  selfCategorizationStatement:
                    code: self-categorization-statement
                    status: ok
                  taxDetails:
                    code: tax-details
                    status: ok
                  screening:
                    code: screening
                    status: ok
                  risk:
                    code: risk
                    status: ok
            KYC Overview OK Fully Detailed:
              value:
                summary:
                  reason: none
                  status: ok
                processes:
                  profile:
                    code: profile
                    status: ok
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      details:
                        fullName: John Doe
                        primaryCitizenship: GB
                        birthdate: '1987-01-01'
                    hint:
                      type: form
                      schema:
                        type: object
                        additionalProperties: false
                        properties:
                          details:
                            title: Details
                            type: object
                            additionalProperties: false
                            properties:
                              fullName:
                                title: What is your full name?
                                type: string
                                pattern: ^\S+\s+\S+(\s+\S+)*$
                                minLength: 2
                                maxLength: 255
                              primaryCitizenship:
                                title: What is your primary citizenship?
                                type: string
                                pattern: ^[A-Z]{2}$
                              birthdate:
                                title: What is your date of birth?
                                type: string
                                format: date
                      uiSchema:
                        type: Categorization
                        elements:
                          - label: Details
                            type: Category
                            elements:
                              - label: Full name
                                type: Control
                                scope: '#/properties/details/properties/fullName'
                              - label: Primary citizenship
                                type: Control
                                scope: >-
                                  #/properties/details/properties/primaryCitizenship
                                options:
                                  data:
                                    source: countries
                                    exclude:
                                      restrictions:
                                        - scope: citizenship
                              - label: Date of birth
                                type: Control
                                scope: '#/properties/details/properties/birthdate'
                  address:
                    code: address
                    status: ok
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      address:
                        country: GB
                        subdivision: GB-MAN
                        city: Manchester
                        line1: 1 High Street
                        line2: Northern Quarter
                        postalCode: M4 1AA
                  email:
                    code: email
                    status: ok
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies: []
                    input:
                      email: john.doe@uphold.com
                    output:
                      verifiedAt: '2020-01-01T00:00:00.000Z'
                  phone:
                    code: phone
                    status: ok
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies: []
                    input:
                      phone: '+1234567890'
                      country: GB
                    output:
                      verifiedAt: '2020-01-01T00:00:00.000Z'
                  identity:
                    code: identity
                    status: ok
                    type: document-submission
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies:
                        - phone
                        - profile
                        - address
                      submittable: false
                    input:
                      media:
                        - context: photo-selfie
                          fileId: 470b2192-893f-4ce6-9daa-816d4c319a84
                    output:
                      provider: veriff
                      document:
                        type: passport
                        number: 7700225VH
                        country: GB
                        expiresAt: '2026-03-13'
                      person:
                        givenName: John
                        familyName: Doe
                        birthdate: '1987-01-01'
                        gender: male
                        address:
                          country: GB
                          subdivision: GB-MAN
                          city: Manchester
                          line1: 1 High Street
                          line2: Northern Quarter
                          postalCode: M4 1AA
                      verifiedAt: '2020-01-01T00:00:00.000Z'
                  proofOfAddress:
                    code: proof-of-address
                    status: ok
                    type: document-submission
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies:
                        - phone
                        - profile
                        - address
                      submittable: false
                    input:
                      media:
                        - context: address-proof
                          fileId: 459c0447-8916-4bad-bb67-f2354fcfb10b
                    output:
                      provider: sumsub
                      person:
                        givenName: John
                        familyName: Doe
                        address:
                          country: GB
                          subdivision: GB-MAN
                          city: Manchester
                          line1: 1 High Street
                          line2: Northern Quarter
                          postalCode: M4 1AA
                      verifiedAt: '2020-01-01T00:00:00.000Z'
                  customerDueDiligence:
                    code: customer-due-diligence
                    status: ok
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      formId: ae80271a-a3f0-453b-8dc6-36b777817217
                      answers:
                        intent:
                          expected-activities:
                            - cryptocurrency_investing
                            - deposit_withdraw_crypto
                        financial-information:
                          source-of-funds: salary
                          annual-income-range: 40000-60000-GBP
                          expected-annual-deposits-range: 0-5000-GBP
                        employment:
                          status: employed
                        employment-details:
                          industry: engineering
                    output:
                      score: low
                      expiresAt: '2025-01-01T00:00:00.000Z'
                      verifiedAt: '2022-01-01T00:00:00.000Z'
                  enhancedDueDiligence:
                    code: enhanced-due-diligence
                    status: ok
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies:
                        - customer-due-diligence
                    input:
                      media:
                        - context: source-of-funds-proof
                          fileId: 57a3ecf2-5404-4654-9ece-feb504a69f86
                    output:
                      verifiedAt: '2020-01-01T00:00:00.000Z'
                  cryptoRiskAssessment:
                    code: crypto-risk-assessment
                    status: ok
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      formId: 7a0f4229-e3de-4dfd-8f91-9b1308b2dc33
                      answers:
                        decision-making:
                          who-makes-investment-decisions: i_decide
                        loss-tolerance:
                          acceptable-loss: full_loss_possible
                        volatility-understanding:
                          expected-price-behaviour: highly_volatile
                        liquidity-awareness:
                          selling-timeline: may_be_delayed
                        regulatory-protection:
                          compensation-coverage: no_coverage
                        portfolio-allocation:
                          share-of-net-assets: small_share
                        complexity-acknowledgement:
                          product-mechanics: complex_and_risky
                    output:
                      result: approved
                      attempts:
                        used: 1
                        maximum: 5
                      verifiedAt: '2022-01-01T00:00:00.000Z'
                  selfCategorizationStatement:
                    code: self-categorization-statement
                    status: ok
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      formId: ac33651f-f2d3-47c4-8e8d-06fb87361f5c
                      answers:
                        investor:
                          type: restricted_investor
                        investor-profile:
                          invested-less-than-10-percent: 'yes'
                          invested-percentage: '5'
                          invest-less-than-10-percent: 'yes'
                          invest-percentage: '5'
                          investor-type-confirmation: true
                    output:
                      result: approved
                      attempts:
                        used: 1
                        maximum: 30
                      expiresAt: '2025-01-01T00:00:00.000Z'
                      verifiedAt: '2022-01-01T00:00:00.000Z'
                  taxDetails:
                    code: tax-details
                    status: ok
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies:
                        - profile
                        - address
                    input:
                      taxResidency:
                        countries:
                          - GB
                      taxIdentification:
                        documents:
                          - type: tin
                            country: GB
                            number: '6405444702'
                        certify: true
                    output:
                      result: approved
                      verifiedAt: '2022-01-01T00:00:00.000Z'
                    hint:
                      type: form
                      schema:
                        type: object
                        additionalProperties: false
                        properties:
                          taxResidency:
                            title: Tax Residency Declaration
                            type: object
                            additionalProperties: false
                            properties:
                              countries:
                                title: In which countries are you a tax resident?
                                type: array
                                uniqueItems: true
                                minItems: 1
                                items:
                                  type: string
                                  pattern: ^[A-Z]{2}$
                            required:
                              - countries
                          taxIdentification:
                            title: Tax Identification and Certification
                            type: object
                            additionalProperties: false
                            properties:
                              documents:
                                title: Tax Identification Documents
                                type: array
                                uniqueItems: true
                                items:
                                  allOf:
                                    - type: object
                                      properties:
                                        country:
                                          title: Country
                                          type: string
                                          enum:
                                            - GB
                                        type:
                                          title: Document type
                                          type: string
                                          enum:
                                            - tin
                                        number:
                                          title: Document number
                                          type: string
                                          pattern: ^\S.*\S$|^\S$
                                        reason:
                                          title: >-
                                            If you don't have a TIN, please select a
                                            reason
                                          type: string
                                          oneOf:
                                            - const: country-does-not-issue-document
                                              title: >-
                                                My country does not issue TINs or
                                                equivalent to its residents.
                                            - const: user-unable-to-obtain-document
                                              title: I am unable to obtain a TIN.
                                            - const: law-does-not-require-document
                                              title: >-
                                                The local law does not require me to
                                                have a TIN.
                                        justification:
                                          title: I am unable to obtain a TIN because
                                          type: string
                                          pattern: ^\S.*\S$|^\S$
                                          maxLength: 1000
                                      required:
                                        - country
                                        - type
                                    - if:
                                        type: object
                                        properties:
                                          reason:
                                            const: user-unable-to-obtain-document
                                        required:
                                          - reason
                                      then:
                                        type: object
                                        required:
                                          - justification
                                    - oneOf:
                                        - type: object
                                          required:
                                            - number
                                        - type: object
                                          required:
                                            - reason
                              certify:
                                title: >-
                                  I confirm that the information provided is
                                  accurate.
                                type: boolean
                                const: true
                            required:
                              - documents
                              - certify
                      uiSchema:
                        type: Categorization
                        elements:
                          - label: Tax Residency Declaration
                            type: Category
                            elements:
                              - label: In which countries are you a tax resident?
                                type: Control
                                scope: '#/properties/taxResidency/properties/countries'
                                options:
                                  data:
                                    source: countries
                                    exclude:
                                      restrictions:
                                        - scope: citizenship
                          - label: Tax Identification and Certification
                            type: Category
                            elements:
                              - label: Tax Identification Documents
                                type: Control
                                scope: >-
                                  #/properties/taxIdentification/properties/documents
                                options:
                                  elementLabelProp: country
                                  disableAdd: true
                                  disableRemove: true
                                  showSortButtons: false
                                  detail:
                                    type: ListWithDetail
                                    elements:
                                      - type: Group
                                        elements:
                                          - label: Document type
                                            type: Control
                                            scope: '#/properties/type'
                                            options:
                                              readonly: true
                                          - label: Country
                                            type: Control
                                            scope: '#/properties/country'
                                            options:
                                              readonly: true
                                          - label: Document number
                                            type: Control
                                            scope: '#/properties/number'
                                          - label: >-
                                              If you don't have a TIN, please select a
                                              reason
                                            type: Control
                                            scope: '#/properties/reason'
                                          - label: I am unable to obtain a TIN because
                                            type: Control
                                            scope: '#/properties/justification'
                              - label: >-
                                  I confirm that the information provided is
                                  accurate.
                                type: Control
                                scope: >-
                                  #/properties/taxIdentification/properties/certify
                  screening:
                    code: screening
                    status: ok
                    verification:
                      model: uphold-verified
                      method: automatic
                      triggers:
                        - profile
                        - identity
                      dependencies: []
                    output:
                      result: approved
                  risk:
                    code: risk
                    status: ok
                    verification:
                      model: uphold-verified
                      method: automatic
                      dependencies: []
                    output:
                      result: approved
            KYC Overview Pending Fully Detailed:
              value:
                summary:
                  reason: none
                  status: pending
                processes:
                  profile:
                    code: profile
                    status: pending
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      details:
                        primaryCitizenship: GB
                    hint:
                      type: form
                      schema:
                        type: object
                        additionalProperties: false
                        properties:
                          details:
                            title: Details
                            type: object
                            additionalProperties: false
                            properties:
                              fullName:
                                title: What is your full name?
                                type: string
                                pattern: ^\S+\s+\S+(\s+\S+)*$
                                minLength: 2
                                maxLength: 255
                              primaryCitizenship:
                                title: What is your primary citizenship?
                                type: string
                                pattern: ^[A-Z]{2}$
                              birthdate:
                                title: What is your date of birth?
                                type: string
                                format: date
                            required:
                              - fullName
                              - primaryCitizenship
                              - birthdate
                      uiSchema:
                        type: Categorization
                        elements:
                          - label: Details
                            type: Category
                            elements:
                              - label: Full name
                                type: Control
                                scope: '#/properties/details/properties/fullName'
                              - label: Primary citizenship
                                type: Control
                                scope: >-
                                  #/properties/details/properties/primaryCitizenship
                                options:
                                  data:
                                    source: countries
                                    exclude:
                                      restrictions:
                                        - scope: citizenship
                              - label: Date of birth
                                type: Control
                                scope: '#/properties/details/properties/birthdate'
                  address:
                    code: address
                    status: pending
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    input:
                      address:
                        country: GB
                        subdivision: GB-MAN
                  email:
                    code: email
                    status: pending
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies: []
                    input:
                      email: john.doe@uphold.com
                  phone:
                    code: phone
                    status: pending
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies: []
                  identity:
                    code: identity
                    status: pending
                    type: none
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies:
                        - phone
                        - profile
                        - address
                      submittable: true
                  proofOfAddress:
                    code: proof-of-address
                    status: pending
                    type: none
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies:
                        - phone
                        - profile
                        - address
                      submittable: true
                  customerDueDiligence:
                    code: customer-due-diligence
                    status: pending
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    hint:
                      type: form
                      formId: ae80271a-a3f0-453b-8dc6-36b777817217
                      schema:
                        type: object
                        properties:
                          intent:
                            type: object
                            title: How will you use Uphold?
                            description: >-
                              Please be careful with your selection to avoid
                              unnecessary account opening delays
                            unevaluatedProperties: false
                            properties:
                              expected-activities:
                                type: array
                                uniqueItems: true
                                minItems: 1
                                maxItems: 4
                                items:
                                  type: string
                                  oneOf:
                                    - const: cryptocurrency_investing
                                      title: Trade cryptocurrencies
                                    - const: foreign_exchange_trading
                                      title: Currency conversion
                                    - const: deposit_withdraw_crypto
                                      title: Deposit or withdraw cryptocurrencies
                                    - const: international_payments_transfers
                                      title: Transfers between users
                            required:
                              - expected-activities
                      uiSchema:
                        type: Categorization
                        elements:
                          - type: Category
                            label: How will you use Uphold?
                            elements:
                              - type: Control
                                scope: >-
                                  #/properties/intent/properties/expected-activities
                  enhancedDueDiligence:
                    code: enhanced-due-diligence
                    status: exempt
                    verification:
                      model: partner-verified
                      method: manual
                      dependencies:
                        - customer-due-diligence
                  cryptoRiskAssessment:
                    code: crypto-risk-assessment
                    status: pending
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    hint:
                      type: form
                      formId: 7a0f4229-e3de-4dfd-8f91-9b1308b2dc33
                      schema:
                        type: object
                        properties:
                          decision-making:
                            type: object
                            title: Decision making
                            description: Who decides what cryptoassets are bought and sold?
                            properties:
                              who-makes-investment-decisions:
                                type: string
                                oneOf:
                                  - const: i_decide
                                    title: I decide
                                  - const: platform_decides
                                    title: Platform decides
                                  - const: joint_decision
                                    title: Joint decision
                            required:
                              - who-makes-investment-decisions
                      uiSchema:
                        type: Categorization
                        elements:
                          - type: Category
                            label: Decision making
                            elements:
                              - type: Control
                                scope: >-
                                  #/properties/decision-making/properties/who-makes-investment-decisions
                  selfCategorizationStatement:
                    code: self-categorization-statement
                    status: pending
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies: []
                    hint:
                      type: form
                      formId: ac33651f-f2d3-47c4-8e8d-06fb87361f5c
                      schema:
                        type: object
                        properties:
                          investor:
                            type: object
                            title: Client Categorization
                            description: >-
                              The FCA divides investors into 2 types. Choose the
                              best fit for you.
                            minProperties: 1
                            unevaluatedProperties: false
                            properties:
                              type:
                                type: string
                                oneOf:
                                  - const: restricted_investor
                                    title: Restricted Investor
                                  - const: high_net_worth_investor
                                    title: High-Net-Worth Investor
                            required:
                              - type
                      uiSchema:
                        type: Categorization
                        elements:
                          - type: Category
                            label: Client Categorization
                            elements:
                              - type: Control
                                scope: '#/properties/investor/properties/type'
                  taxDetails:
                    code: tax-details
                    status: pending
                    verification:
                      model: uphold-verified
                      method: manual
                      dependencies:
                        - profile
                        - address
                    hint:
                      type: form
                      schema:
                        type: object
                        additionalProperties: false
                        properties:
                          taxResidency:
                            title: Tax Residency Declaration
                            type: object
                            additionalProperties: false
                            properties:
                              countries:
                                title: In which countries are you a tax resident?
                                type: array
                                uniqueItems: true
                                minItems: 1
                                items:
                                  type: string
                                  pattern: ^[A-Z]{2}$
                            required:
                              - countries
                      uiSchema:
                        type: Categorization
                        elements:
                          - label: Tax Residency Declaration
                            type: Category
                            elements:
                              - label: In which countries are you a tax resident?
                                type: Control
                                scope: '#/properties/taxResidency/properties/countries'
                                options:
                                  data:
                                    source: countries
                                    exclude:
                                      restrictions:
                                        - scope: citizenship
                  screening:
                    code: screening
                    status: pending
                    verification:
                      model: uphold-verified
                      method: automatic
                      triggers:
                        - profile
                        - identity
                      dependencies: []
                  risk:
                    code: risk
                    status: pending
                    verification:
                      model: uphold-verified
                      method: automatic
                      dependencies: []
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
    get-kyc-overview-conflict-response:
      description: Business logic error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Invalid Locale:
              value:
                code: locale_invalid
                message: The locale is invalid
                details:
                  context: headers
                  property: accept-language
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
  schemas:
    kyc-overview:
      description: The KYC overview object.
      type: object
      properties:
        summary:
          type: object
          properties:
            status:
              description: The overall KYC status.
              type: string
              enum:
                - blocked
                - ok
                - pending
                - restricted
            reason:
              description: Additional reason for the status.
              type: string
          required:
            - status
            - reason
        processes:
          type: object
          properties:
            profile:
              $ref: '#/components/schemas/kyc-profile'
            address:
              $ref: '#/components/schemas/kyc-address'
            email:
              $ref: '#/components/schemas/kyc-email'
            phone:
              $ref: '#/components/schemas/kyc-phone'
            identity:
              $ref: '#/components/schemas/kyc-identity'
            proofOfAddress:
              $ref: '#/components/schemas/kyc-proof-of-address'
            customerDueDiligence:
              $ref: '#/components/schemas/kyc-customer-due-diligence'
            enhancedDueDiligence:
              $ref: '#/components/schemas/kyc-enhanced-due-diligence'
            cryptoRiskAssessment:
              $ref: '#/components/schemas/kyc-crypto-risk-assessment'
            selfCategorizationStatement:
              $ref: '#/components/schemas/kyc-self-categorization-statement'
            taxDetails:
              $ref: '#/components/schemas/kyc-tax-details'
            screening:
              $ref: '#/components/schemas/kyc-screening'
            risk:
              $ref: '#/components/schemas/kyc-risk'
          required:
            - profile
            - address
            - email
            - phone
            - identity
            - proofOfAddress
            - customerDueDiligence
            - enhancedDueDiligence
            - cryptoRiskAssessment
            - selfCategorizationStatement
            - taxDetails
            - screening
            - risk
      required:
        - summary
        - processes
    error:
      description: The error information.
      type: object
      properties:
        code:
          description: >-
            A short string with a brief explanation about the error code
            reported.
          type: string
        message:
          description: A human-readable message providing more details about the error.
          type: string
        details:
          description: Additional information about the error reported.
          type: object
          additionalProperties: true
      required:
        - code
        - message
    kyc-profile:
      description: The KYC profile object.
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          description: The declared profile details.
          type: object
          additionalProperties: true
          minProperties: 1
        hint:
          $ref: '#/components/schemas/kyc-process-hint-form'
      required:
        - code
        - status
    kyc-address:
      description: The KYC address object.
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          description: Input of the KYC process.
          type: object
          properties:
            address:
              allOf:
                - $ref: '#/components/schemas/address'
                - type: object
                  required:
                    - country
          required:
            - address
      required:
        - code
        - status
    kyc-email:
      type: object
      description: The KYC email object.
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          description: Input of the KYC process.
          type: object
          properties:
            email:
              description: The email address that was verified.
              type: string
              format: email
          required:
            - email
        output:
          description: Output of the KYC process.
          type: object
          properties:
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - verifiedAt
      required:
        - code
        - status
    kyc-phone:
      description: The KYC phone object.
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          description: Input of the KYC process.
          type: object
          properties:
            phone:
              description: The E.164 formatted phone number that was verified.
              type: string
            country:
              description: The country code of the phone number.
              type: string
          required:
            - phone
            - country
        output:
          description: Output of the KYC process.
          type: object
          properties:
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - verifiedAt
      required:
        - code
        - status
    kyc-identity:
      discriminator:
        propertyName: type
        mapping:
          none:
            $ref: '#/components/schemas/kyc-identity-none'
          document-submission:
            $ref: '#/components/schemas/kyc-identity-document-submission'
          electronic-verification:
            $ref: '#/components/schemas/kyc-identity-electronic-verification'
      oneOf:
        - $ref: '#/components/schemas/kyc-identity-none'
          title: None
        - $ref: '#/components/schemas/kyc-identity-document-submission'
          title: Document submission
        - $ref: '#/components/schemas/kyc-identity-electronic-verification'
          title: Electronic verification
    kyc-proof-of-address:
      discriminator:
        propertyName: type
        mapping:
          none:
            $ref: '#/components/schemas/kyc-proof-of-address-none'
          document-submission:
            $ref: '#/components/schemas/kyc-proof-of-address-document-submission'
          electronic-verification:
            $ref: '#/components/schemas/kyc-proof-of-address-electronic-verification'
          from-identity:
            $ref: '#/components/schemas/kyc-proof-of-address-from-identity'
      oneOf:
        - $ref: '#/components/schemas/kyc-proof-of-address-none'
          title: None
        - $ref: '#/components/schemas/kyc-proof-of-address-document-submission'
          title: Document submission
        - $ref: '#/components/schemas/kyc-proof-of-address-electronic-verification'
          title: Electronic verification
        - $ref: '#/components/schemas/kyc-proof-of-address-from-identity'
          title: From identity
    kyc-customer-due-diligence:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          $ref: '#/components/schemas/kyc-process-input-form'
        output:
          description: Output of the KYC process.
          type: object
          properties:
            score:
              type: string
              enum:
                - low
                - medium
                - high
              description: The score of the verification.
            expiresAt:
              type: string
              format: date-time
              description: The date and time when the verification expires.
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
        hint:
          $ref: '#/components/schemas/kyc-process-hint-form'
      required:
        - code
        - status
    kyc-enhanced-due-diligence:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          description: Input of the KYC process.
          type: object
          properties:
            media:
              type: array
              items:
                type: object
                properties:
                  context:
                    description: The context of the file.
                    type: string
                    enum:
                      - source-of-funds-proof
                  fileId:
                    description: The id of the file.
                    type: string
                    format: uuid
                required:
                  - context
                  - fileId
        output:
          description: Output of the KYC process.
          type: object
          properties:
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - verifiedAt
      required:
        - code
        - status
    kyc-crypto-risk-assessment:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          $ref: '#/components/schemas/kyc-process-input-form'
        output:
          description: Output of the KYC process.
          type: object
          properties:
            result:
              description: The result of the verification.
              type: string
              enum:
                - approved
                - rejected
            attempts:
              description: The attempts state of the verification.
              type: object
              properties:
                used:
                  description: The number of attempts used.
                  type: integer
                maximum:
                  description: The maximum number of attempts.
                  type: integer
                retryAt:
                  description: The date and time when the next attempt is allowed.
                  type: string
                  format: date-time
              required:
                - used
                - maximum
            offboard:
              description: The offboarding state of the verification.
              type: object
              properties:
                completedAt:
                  description: The date and time when the offboarding was completed.
                  type: string
                  format: date-time
                endsAt:
                  description: The date and time when the offboard ends.
                  type: string
                  format: date-time
              required:
                - endsAt
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - result
            - attempts
        hint:
          $ref: '#/components/schemas/kyc-process-hint-form'
      required:
        - code
        - status
    kyc-self-categorization-statement:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          $ref: '#/components/schemas/kyc-process-input-form'
        output:
          description: Output of the KYC process.
          type: object
          properties:
            result:
              description: The result of the verification.
              type: string
              enum:
                - approved
                - rejected
            attempts:
              description: The attempts state of the verification.
              type: object
              properties:
                used:
                  description: The number of attempts used.
                  type: integer
                maximum:
                  description: The maximum number of attempts.
                  type: integer
              required:
                - used
                - maximum
            offboard:
              description: The offboarding state of the verification.
              type: object
              properties:
                completedAt:
                  description: The date and time when the offboarding was completed.
                  type: string
                  format: date-time
                endsAt:
                  description: The date and time when the offboard ends.
                  type: string
                  format: date-time
              required:
                - endsAt
            expiresAt:
              type: string
              format: date-time
              description: The date and time when the verification expires.
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - result
        hint:
          $ref: '#/components/schemas/kyc-process-hint-form'
      required:
        - code
        - status
    kyc-tax-details:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        input:
          description: The declared tax details.
          type: object
          additionalProperties: true
          minProperties: 1
        output:
          description: Output of the KYC process.
          type: object
          properties:
            result:
              description: The result of the verification.
              type: string
              enum:
                - approved
                - rejected
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - result
            - verifiedAt
        hint:
          $ref: '#/components/schemas/kyc-process-hint-form'
      required:
        - code
        - status
    kyc-screening:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        output:
          description: Output of the KYC process.
          type: object
          properties:
            result:
              description: The result of the verification.
              type: string
              enum:
                - approved
                - rejected
          required:
            - result
      required:
        - code
        - status
    kyc-risk:
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        verification:
          $ref: '#/components/schemas/kyc-process-verification'
        output:
          description: Output of the KYC process.
          type: object
          properties:
            result:
              description: The result of the verification.
              type: string
              enum:
                - approved
                - rejected
      required:
        - code
        - status
    kyc-process-status:
      description: Status of the KYC process.
      type: string
      enum:
        - ok
        - failed
        - running
        - pending
        - exempt
    kyc-process-verification:
      description: Configuration of this process.
      type: object
      properties:
        model:
          description: The verification model to complete this process.
          type: string
          enum:
            - partner-verified
            - uphold-verified
        method:
          description: >-
            Whether this process is verified automatically in the background or
            requires user action.
          type: string
          enum:
            - automatic
            - manual
        triggers:
          description: >-
            Other processes that, once updated, trigger this process to run
            automatically. Only present when `method` is `automatic`.
          type: array
          items:
            type: string
            enum:
              - profile
              - identity
        dependencies:
          $ref: '#/components/schemas/kyc-process-dependencies'
      required:
        - model
        - method
        - dependencies
    kyc-process-hint-form:
      description: Hints for the KYC process.
      type: object
      properties:
        type:
          description: The type of the hint.
          type: string
          enum:
            - form
        formId:
          description: The id of the form.
          type: string
          format: uuid
        schema:
          description: >-
            The definition of the structure and validation rules for this KYC
            process form.


            It follows the [JSON Schema](https://json-schema.org/) specification
            with the power of [JSON Forms](https://jsonforms.io/).


            The schema is iterative, meaning that new questions and properties
            can be added dynamically as the KYC process evolves. This allows for
            a flexible and adaptive form structure that can accommodate changes
            and new requirements over time.
          type: object
          additionalProperties: true
        uiSchema:
          description: >-
            The `uiSchema` property defines the general layout and presentation
            of the form by means of different UI schema elements.


            It follows the [JSON Forms](https://jsonforms.io/) specification and
            is used to customize the appearance and behavior of the form fields.


            The `uiSchema` includes the following elements:


            - `Layouts`: Used to structure the form layout. It includes
            properties like `type` to define the layout type (e.g.,
            `Categorization`) and `elements` to define the child elements.

            - `Controls`: Used to define the form controls. It includes
            properties like `scope` to point to the corresponding schema
            property and `label` to define the control's label.

            - `Rules`: Used to define conditional visibility rules for form
            controls. It includes properties like `effect` to define the rule
            effect (e.g., `SHOW`) and `condition` to define the rule condition.


            The `uiSchema` is iterative, meaning that new controls and layout
            elements can be added dynamically as the KYC process evolves. This
            allows for a flexible and dynamic form layout, enhancing the user
            experience by providing a structured and intuitive form design that
            can adapt to new requirements and changes over time.
          type: object
          additionalProperties: true
      required:
        - type
        - schema
        - uiSchema
    address:
      description: The address information.
      type: object
      properties:
        country:
          description: The country of the address.
          type: string
        subdivision:
          description: The subdivision of the address.
          type: string
        city:
          description: The city of the address.
          type: string
        line1:
          description: The first line of the address.
          type: string
        line2:
          description: The second line of the address.
          type: string
        postalCode:
          description: The postal code of the address.
          type: string
    kyc-identity-none:
      title: None
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The identity submission type.
          type: string
          enum:
            - none
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
      required:
        - code
        - status
    kyc-identity-document-submission:
      title: Document Submission
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The identity submission type.
          type: string
          enum:
            - document-submission
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
        input:
          description: Input of the KYC process.
          type: object
          properties:
            media:
              description: The media that was collected during the process.
              type: array
              items:
                type: object
                properties:
                  context:
                    description: The context of the file.
                    type: string
                    enum:
                      - photo-document-front
                      - photo-document-back
                      - photo-selfie
                      - photo-selfie-and-document-front
                      - video
                  fileId:
                    description: The id of the file.
                    type: string
                    format: uuid
                required:
                  - context
                  - fileId
          required:
            - media
        output:
          description: Output of the KYC process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYC process.
              type: string
            providerDetails:
              description: The provider details associated with the verification.
              type: object
              properties:
                reasons:
                  description: The reasons associated with the verification.
                  type: array
                  items:
                    type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - data-mismatch
                - duplicate
                - underage
                - provider-verification-rejected
            document:
              description: The identity document information.
              type: object
              properties:
                type:
                  description: The type of the document.
                  type: string
                  enum:
                    - driving-license
                    - id-card
                    - passport
                    - residence-permit
                    - unsupported
                number:
                  description: The number of the document.
                  type: string
                country:
                  description: The country of the document.
                  type: string
                expiresAt:
                  description: The expiration date of the document.
                  type: string
                  format: date
              required:
                - type
                - number
                - country
            person:
              description: The person information.
              type: object
              properties:
                givenName:
                  description: The person's given name.
                  type: string
                familyName:
                  description: The person's family name or surname.
                  type: string
                birthdate:
                  description: The date of birth.
                  type: string
                  format: date
                gender:
                  description: The gender.
                  type: string
                  enum:
                    - female
                    - male
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
                      required:
                        - country
              required:
                - givenName
                - birthdate
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
            - document
            - person
            - verifiedAt
      required:
        - code
        - status
        - type
    kyc-identity-electronic-verification:
      title: Electronic Verification
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The identity submission type.
          type: string
          enum:
            - electronic-verification
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
        input:
          description: Input of the KYC process.
          type: object
          properties:
            data:
              description: The declared data used to verify the process.
              type: object
              properties:
                givenName:
                  description: The given name.
                  type: string
                familyName:
                  description: The family name or surname.
                  type: string
                birthdate:
                  description: The date of birth.
                  type: string
                  format: date
                citizenshipCountry:
                  description: The citizenship country.
                  type: string
                gender:
                  description: The gender.
                  type: string
                  enum:
                    - female
                    - male
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
                      required:
                        - country
              required:
                - givenName
                - birthdate
                - citizenshipCountry
          required:
            - data
        output:
          description: Output of the KYC process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYC process.
              type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - data-mismatch
                - duplicate
                - missing-declared-information
                - underage
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
            - verifiedAt
      required:
        - code
        - status
        - type
    kyc-proof-of-address-none:
      title: None
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The proof-of-address submission type.
          type: string
          enum:
            - none
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
      required:
        - code
        - status
    kyc-proof-of-address-document-submission:
      title: Document Submission
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The proof-of-address submission type.
          type: string
          enum:
            - document-submission
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
        input:
          description: Input of the KYC process.
          type: object
          properties:
            media:
              description: The media that was collected during the process.
              type: array
              items:
                type: object
                properties:
                  context:
                    description: The context of the file.
                    type: string
                    enum:
                      - address-proof
                  fileId:
                    description: The id of the file.
                    type: string
                    format: uuid
                required:
                  - context
                  - fileId
          required:
            - media
        output:
          description: Output of the KYC process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYC process.
              type: string
            providerDetails:
              description: The provider details associated with the verification.
              type: object
              properties:
                reasons:
                  description: The reasons associated with the verification.
                  type: array
                  items:
                    type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - address-mismatch
                - name-mismatch
                - provider-verification-rejected
            person:
              description: The person information.
              type: object
              properties:
                givenName:
                  description: The person's given name.
                  type: string
                familyName:
                  description: The person's family name or surname.
                  type: string
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
            - verifiedAt
      required:
        - code
        - status
        - type
    kyc-proof-of-address-electronic-verification:
      title: Electronic Verification
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The proof-of-address submission type.
          type: string
          enum:
            - electronic-verification
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
        input:
          description: Input of the KYC process.
          type: object
          properties:
            data:
              description: The declared data used to verify the process.
              type: object
              properties:
                givenName:
                  description: The given name.
                  type: string
                familyName:
                  description: The family name or surname.
                  type: string
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
                      required:
                        - country
              required:
                - givenName
                - address
          required:
            - data
        output:
          description: Output of the KYC process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYC process.
              type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - address-mismatch
                - name-mismatch
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
            - verifiedAt
      required:
        - code
        - status
        - type
    kyc-proof-of-address-from-identity:
      title: From Identity
      type: object
      properties:
        code:
          description: The code of the KYC process.
          type: string
        status:
          $ref: '#/components/schemas/kyc-process-status'
        type:
          description: The proof-of-address submission type.
          type: string
          enum:
            - from-identity
        verification:
          allOf:
            - $ref: '#/components/schemas/kyc-process-verification'
            - type: object
              properties:
                submittable:
                  description: Whether this process currently accepts a new submission.
                  type: boolean
              required:
                - submittable
        output:
          description: Output of the KYC process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYC process.
              type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - address-mismatch
                - name-mismatch
            person:
              description: The person information.
              type: object
              properties:
                givenName:
                  description: The person's given name.
                  type: string
                familyName:
                  description: The person's family name or surname.
                  type: string
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
            - verifiedAt
      required:
        - code
        - status
        - type
    kyc-process-input-form:
      description: Input of the KYC process.
      type: object
      properties:
        formId:
          description: The id of the form.
          type: string
        answers:
          description: The answers of the form.
          type: object
          additionalProperties: true
      required:
        - answers
    kyc-process-dependencies:
      description: The processes that must be updated before you can update this one.
      type: array
      items:
        type: string
        enum:
          - profile
          - address
          - email
          - phone
          - identity
          - proof-of-address
          - customer-due-diligence
          - enhanced-due-diligence
          - crypto-risk-assessment
          - self-categorization-statement
          - tax-details
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            core.users:act-on-behalf-of: Grants access to act on behalf of a user
            core.users:create: Grants access to create users
            core.users:read: Grants access to view users
            core.users:delete: Grants access to delete users
            core.users.metadata:read: Grants access to view user metadata
            core.users.metadata:write: Grants access to modify user metadata
            core.kyc:read: Grants access to view KYC processes
            core.kyc.profile:update: Grants access to update profile KYC process
            core.kyc.address:update: Grants access to update address KYC process
            core.kyc.email:update: Grants access to update email KYC process
            core.kyc.phone:update: Grants access to update phone KYC process
            core.kyc.identity:update: Grants access to update identity KYC process
            core.kyc.proof-of-address:update: Grants access to update proof-of-address KYC process
            core.kyc.customer-due-diligence:update: Grants access to update customer due diligence KYC process
            core.kyc.enhanced-due-diligence:update: Grants access to update enhanced due diligence KYC process
            core.kyc.crypto-risk-assessment:update: Grants access to update crypto risk assessment KYC process
            core.kyc.self-categorization-statement:update: Grants access to update self-categorization statement KYC process
            core.kyc.tax-details:update: Grants access to update tax details KYC process
            core.capabilities:read: Grants access to view user capabilities
            core.terms-of-service:read: Grants access to view terms of service
            core.terms-of-service:accept: Grants access to accept terms of service
            core.files:create: Grants access to create files
            core.files:read: Grants access to view files
            core.files.metadata:read: Grants access to view files metadata
            core.files.metadata:write: Grants access to modify files metadata
            core.accounts:create: Grants access to create accounts
            core.accounts:read: Grants access to view accounts
            core.accounts:update: Grants access to update accounts
            core.accounts:archive: Grants access to archive accounts
            core.accounts:deposit-method: >-
              Grants access to deposit method needed for depositing into
              accounts
            core.accounts:use-test-helpers: Grants access to test helpers of accounts
            core.accounts.metadata:read: Grants access to view accounts metadata
            core.accounts.metadata:write: Grants access to modify accounts metadata
            core.assets:use-test-helpers: Grants access to test helpers of assets
            core.external-accounts:create: Grants access to create external accounts
            core.external-accounts:read: Grants access to view external accounts
            core.external-accounts:update: Grants access to update external accounts
            core.external-accounts:delete: Grants access to delete external accounts
            core.external-accounts.metadata:read: Grants access to view external accounts metadata
            core.external-accounts.metadata:write: Grants access to modify external accounts metadata
            core.transactions:create: Grants access to commit quotes
            core.transactions:read: Grants access to view transactions
            core.transactions.metadata:read: Grants access to view transactions metadata
            core.transactions.metadata:write: Grants access to modify transactions metadata
            core.transactions.requests-for-information:read: Grants access to view transactions requests for information
            core.transactions.requests-for-information:update: Grants access to update transactions requests for information
            core.portfolio:read: >-
              Grants access to view portfolio overview, performance, and
              historical balance
            core.statements:read: Grants access to read statements
            core.webhooks:management-link: Grants access to create webhook management links

````